POST leave/add
Request Information
URI Parameters
None.
Body Parameters
LeaveViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| LeaveID | integer |
None. |
|
| UserID | integer |
None. |
|
| strStartDate | string |
None. |
|
| strEndDate | string |
None. |
|
| LeaveTypeID | integer |
None. |
|
| NoOfDays | integer |
None. |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| Reason | string |
None. |
|
| lstLeaves | Collection of LeaveViewModel |
None. |
Request Formats
application/json
Sample:
Sample not available.
text/json
Sample:
Sample not available.
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |